RyTask docs
REST APIMemberships

Change a member's role (Admin+; last-owner protected) (FR-RBAC-001)

View as MarkdownOpen in ChatGPTOpen in Claude
PATCH
/memberships/{userId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/memberships/string" \  -H "Content-Type: application/json" \  -d '{    "role": "OWNER"  }'
{  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "user@example.com",    "name": "string",    "emailVerified": true  },  "role": "OWNER",  "deactivatedAt": "2019-08-24T14:15:22Z"}
{  "code": "string",  "message": "string",  "details": {}}
Empty